# sphobjinv.cli.convert

`sphobjinv` module for CLI convert functionality.

`sphobjinv` is a toolkit for manipulation and inspection of Sphinx objects.inv files.

Author

  Brian Skinn (brian.skinn@gmail.com)

File Created

  20 Oct 2022

Copyright

  (c) Brian Skinn 2016-2025

Source Repository

  https://github.com/bskinn/sphobjinv

Documentation

  https://sphobjinv.readthedocs.io/en/stable

License

  Code: MIT License

  Docs & Docstrings: CC BY 4.0 International License

  See LICENSE.txt for full license terms.

Members

do_convert(inv, in_path, params)

  Carry out the conversion operation, including writing output.

  If `OVERWRITE` is passed and the output file (the default location, or as passed to `OUTFILE`) exists, it will be overwritten without a prompt. Otherwise, the user will be queried if it is desired to overwrite the existing file.

  If `QUIET` is passed, nothing will be printed to stdout (potentially useful for scripting), and any existing output file will be overwritten without prompting.

  Parameters:

    - inv – `Inventory` – Inventory object to be output in the format indicated by `MODE`.

    - in_path – `str` – For a local input file, its absolute path. For a URL, the (possibly truncated) URL text.

    - params – `dict` – Parameters/values mapping from the active subparser